init_menu(3)

NAME
init_menu - Low level initialisation of a menu. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

MENU_PLAYER *init_menu(MENU *menu, int x, int y);

DESCRIPTION
This function provides lower level access to the same functionality as do_menu(), but allows you to combine a popup menu with your own program control structures. It initialises a menu, returning a pointer to a menu player object that can be used with update_menu() and shutdown_menu(). With these functions, you could implement your own version of do_menu() with the lines:
   MENU_PLAYER *player = init_menu(menu, x, y);

   while (update_menu(player))
      ;

   return shutdown_menu(player);

SEE ALSO
update_menu(3), shutdown_menu(3), do_menu(3)